
DeadDrop - Feature #11

Implement Private secure Drops Backend

07/18/2023 12:59 AM - Sancho Fock

Status: Closed Start date: 10/03/2023

Priority: Normal Due date: 10/03/2023

Assignee: Sancho Fock % Done: 100%

Category: API Estimated time: 8:00 hours

Target version: 0.4.x   

Description

Private Secure drops are like private drops. But add use end to end encryption

Requires User Roles and invites

Related issues:

Follows Feature #4: Implement USER ROLES Closed 07/28/2023 07/29/2023

Precedes Feature #12: Implement Private secure Drops Client Closed 10/04/2023 10/05/2023

Follows Feature #8: Implement invites Client Closed 08/09/2023 08/09/2023

Follows Feature #35: Replace scAPI with localLib Closed 08/11/2023 10/02/2023

History

#1 - 07/18/2023 12:44 PM - Sancho Fock

- Due date set to 07/19/2023

- Start date changed from 07/18/2023 to 07/19/2023

- Follows Feature #4: Implement USER ROLES added

#2 - 07/18/2023 12:44 PM - Sancho Fock

- Follows Feature #7: Implement invites Backend added

#3 - 07/18/2023 12:45 PM - Sancho Fock

- Precedes Feature #12: Implement Private secure Drops Client added

#4 - 07/18/2023 12:57 PM - Sancho Fock

- Estimated time set to 8:00 h

#5 - 07/20/2023 02:07 AM - Sancho Fock

- Due date changed from 07/19/2023 to 08/01/2023

- Start date changed from 07/19/2023 to 08/01/2023

#6 - 07/26/2023 11:47 PM - Sancho Fock

- Due date changed from 08/01/2023 to 08/02/2023

- Start date changed from 08/01/2023 to 08/02/2023

#7 - 07/26/2023 11:48 PM - Sancho Fock

- Due date changed from 08/02/2023 to 07/31/2023

- Start date changed from 08/02/2023 to 07/31/2023

#8 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 07/31/2023 to 08/02/2023

- Start date changed from 07/31/2023 to 08/02/2023

#9 - 07/26/2023 11:52 PM - Sancho Fock

- Due date changed from 08/02/2023 to 08/03/2023
- Start date changed from 08/02/2023 to 08/03/2023

#10 - 07/26/2023 11:59 PM - Sancho Fock

- Due date changed from 08/03/2023 to 08/04/2023

- Start date changed from 08/03/2023 to 08/04/2023

#11 - 07/27/2023 11:41 PM - Sancho Fock

- Due date changed from 08/04/2023 to 08/08/2023

- Start date changed from 08/04/2023 to 08/08/2023

#12 - 07/27/2023 11:43 PM - Sancho Fock

- Due date changed from 08/08/2023 to 08/09/2023

- Start date changed from 08/08/2023 to 08/09/2023

- Follows Feature #8: Implement invites Client added

#13 - 07/27/2023 11:44 PM - Sancho Fock

- Precedes Feature #10: Implement Private Drops Client added

#14 - 07/28/2023 11:39 PM - Sancho Fock

- Due date changed from 08/09/2023 to 08/04/2023

- Start date changed from 08/09/2023 to 08/04/2023

#15 - 07/28/2023 11:47 PM - Sancho Fock

- Due date changed from 08/04/2023 to 08/02/2023

- Start date changed from 08/04/2023 to 08/02/2023

#16 - 07/28/2023 11:56 PM - Sancho Fock

- Due date changed from 08/02/2023 to 08/11/2023

- Start date changed from 08/02/2023 to 08/11/2023

#17 - 08/05/2023 11:35 PM - Sancho Fock

- Follows deleted (Feature #7: Implement invites Backend)

#18 - 08/05/2023 11:35 PM - Sancho Fock

- Target version changed from 0.3.0 to 0.4.x

#19 - 08/05/2023 11:40 PM - Sancho Fock

- Precedes deleted (Feature #10: Implement Private Drops Client)

#20 - 08/05/2023 11:45 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/22/2023

- Start date changed from 08/11/2023 to 08/22/2023

- Follows Feature #35: Replace scAPI with localLib added

#21 - 08/06/2023 09:30 PM - Sancho Fock

- Due date changed from 08/22/2023 to 08/17/2023

- Start date changed from 08/22/2023 to 08/17/2023

#22 - 08/06/2023 09:32 PM - Sancho Fock

- Due date changed from 08/17/2023 to 08/18/2023

- Start date changed from 08/17/2023 to 08/18/2023

#23 - 08/06/2023 09:33 PM - Sancho Fock

- Due date changed from 08/18/2023 to 08/14/2023

- Start date changed from 08/18/2023 to 08/14/2023
#24 - 08/06/2023 09:35 PM - Sancho Fock

- Due date changed from 08/14/2023 to 08/15/2023

- Start date changed from 08/14/2023 to 08/15/2023

#25 - 08/06/2023 09:39 PM - Sancho Fock

- Due date changed from 08/15/2023 to 08/11/2023

- Start date changed from 08/15/2023 to 08/11/2023

#26 - 08/06/2023 09:40 PM - Sancho Fock

- Due date changed from 08/11/2023 to 08/15/2023

- Start date changed from 08/11/2023 to 08/15/2023

#27 - 08/07/2023 11:15 PM - Sancho Fock

- Due date changed from 08/15/2023 to 08/14/2023

- Start date changed from 08/15/2023 to 08/14/2023

#28 - 08/07/2023 11:18 PM - Sancho Fock

- Due date changed from 08/14/2023 to 08/18/2023

- Start date changed from 08/14/2023 to 08/18/2023

#29 - 10/02/2023 10:50 AM - Sancho Fock

- Due date changed from 10/03/2023 to 10/05/2023

- Status changed from New to In Progress

#30 - 10/02/2023 04:39 PM - Sancho Fock

- Due date changed from 10/05/2023 to 10/03/2023

- % Done changed from 0 to 90

#31 - 10/05/2023 10:19 PM - Sancho Fock

- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#32 - 10/21/2023 01:22 AM - Sancho Fock

- Status changed from Resolved to Closed
